/* FUSE(FastUpSamplingEngin) was written by choi on Nov.23,2004.
 *                                   (this version: Jan.7,2007)
 * You can contact them at http://sak2-2.tok2.com/home/choi/
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 */

#ifndef SOUNDFILE_H_
#define SOUNDFILE_H_

#endif /*SOUNDFILE_H_*/
#define WAV_HEADER_SIZE_DEFAULT 44

#define LPCM 1
#define MONAURAL 1
#define STEREO 2
#define STEREO 2
#define STEREO 2
#define STEREO 2


typedef struct {
  char           RIFFchunkID_chr[5];
  unsigned long  RIFFchunkSize_ul;
  char           RIFFformType_chr[5];
  char           Fmt_chunkID_chr[5];
  int            Fmt_chunkSize_int;
  short          Fmt_wFormatTag_sht;
  unsigned short Fmt_nChannels_usht;
  unsigned long  Fmt_nSamplesPerSec_ul;
  unsigned long  Fmt_nAvgBytesPerSec_ul;
  unsigned short Fmt_nBlockAlign_usht;
  unsigned short Fmt_wBitsPerSample_usht;

  char           Data_chunkID_chr[5];
  unsigned long  Data_chunkSize_ul;

  int            header_size_int; //byte
} WaveChunk;

int read_wav_chunk(FILE* ,WaveChunk* ,int);
int write_wav_chunk(FILE* ,WaveChunk* ,int,int);
