/* FUSE(FastUpSamplingEngin) was written by choi on Nov.23,2004.
 *                                   (this version: Jan.7,2007)
 * You can contact them at http://sak2-2.tok2.com/home/choi/
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 */

#include <stdio.h>
//#include <conio.h>
#include <stdlib.h>
//#include <string.h>

#include "cputype.h"

char* GetCpuID_cp(void){
  unsigned long eax_ul,ebx_ul,edx_ul,ecx_ul;
#ifdef __DARWIN_UNIX03
  asm("pushl %%ebx\ncpuid\npopl %%ebx\n": "=a" (eax_ul), "=c" (edx_ul), "=d" (ecx_ul) : "a" (1));// Get CPU ID
#else
  asm("cpuid": "=a" (eax_ul), "=b" (ebx_ul), "=c" (edx_ul), "=d" (ecx_ul) : "a" (1));// Get CPU ID
#endif
  

  char* CpuID_cp;
  CpuID_cp=(char *)calloc(2*sizeof(unsigned long)+1,sizeof(char));
  sprintf(CpuID_cp,"%08lX",eax_ul);
//  printf("cputype string=%s \n",wisdomSubDirName);
  
  return CpuID_cp;
}
