/* FUSE(FastUpSamplingEngin) was written by choi on Nov.23,2004.
 *                                   (this version: Jan.7,2007)
 * You can contact them at http://sak2-2.tok2.com/home/choi/
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 */
#ifndef DEFINE_H_
#define DEFINE_H_

#endif /*DEFINE_H_*/


#define VERSION "v0.2.0"
#define OPTIMIZE  FFTW_ESTIMATE
//Dither
//#define TPDF_PEAK_X4_24BITLSB   4096

//The peak of converted_wave_file_Fp is nearly equals pow(2,FILTER_PEAK).
#define FILTER_PEAK    30
#define GAIN_COMP_R2R  15
#define FILTER_HEAD    16
#define FILTER_TAIL    16


//normalize read&write buffer = NORM_BUF_SIZE*4*2 byte (2097152: 16MB)
#define NORM_BUF_SIZE 2097152
#define WISDOM_BUF_SIZE 10000
#define FILENAME_BUF_SIZE	512
//#define SUFFIX_BUF_SIZE 	10	//2006,7,29
#define DIVIDE_MAX        100
#define WISDOM_ERROR_MIN  100

#define VERSIONNAME "FUSE %s\n",VERSION

#define _0dB
//#define _TESTHIGHCUT		//-5dB@20k
//#define _TESTHIGHCUT1_5	//-8dB@20k
//#define _TESTHIGHCUT1_75	//-12dB@20k
////#define _TESTHIGHCUT2		//-20dB@20k

#define SUFFIX ".x"
//#define SUFFIX ".-5dB@20kHz.x"
//#define SUFFIX ".-8dB@20kHz.x"
//#define SUFFIX ".-12dB@20kHz.x"
//#define SUFFIX ".-20dB@20kHz.x"

//#define TPDFVALUE	2048
//#define TPDFVALUE	1024	//default
//#define TPDFVALUE	1024
#define TPDFVALUE	0
#define NYQUISTDITHER	1.5
#define RANDOMDITHER	0.5
//#define NYQUISTDITHER	0

#define _TESTHIGHCUT

#define SUF_TPDF ".TPDF"
#define FFT_SAMPLE_DIGIT	20
#define FILTER_LENGTH	        (pow(2,18)+1)
#define OVERTIMES		4
//#define OVERTIMES		8
#define OVERXF		4

#define PRINTVERSION printf(VERSIONNAME);
#define WAV_HEADER_SIZE_DEFAULT 44
#define OUTPUT_BITS_PER_SAMPLE	24
#define OUTPUT_CHANNELS	        2
#define EXTENSION               1	//ʏ1
      //EXTENSIOŃA
      //x8,2chx4,4chŎƂɎgp\
      //#define OVERTIMES 	       8
      //#define EXTENSION              2
      //#define OUTPUT_CHANNELS        2
      //ŎgpĂAȉ̃vOł͌ݖΉ

#define FLOAT_PRECISION	        4
#define DOUBLE_PRECISION	        8
#define LONG_DOUBLE_PRECISION	    12


