/* FUSE(FastUpSamplingEngin) was written by choi on Nov.23,2004.
 *                                   (this version: Jan.7,2007)
 * You can contact them at http://sak2-2.tok2.com/home/choi/
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 */

#ifndef unix
#include <windows.h>
#endif
#include <stdio.h>
#include <stdlib.h>
#include <string.h>

#include "printmessage.h"

#ifdef unix
#define EN_MSG "language/english_message.txt"
#define JP_MSG "language/japanese_message.txt"
#else
#define EN_MSG "language\\english_message.txt"
#define JP_MSG "language\\japanese_message.txt"
#endif

int language_int=JAPANESE;
FILE* message_Fp;


void init_printMessage(int lang_int)
{
	language_int=lang_int;
}

int printMessage_int(int message_int)
{
  char *message_cp ;message_cp  = (char *)calloc(PRINTWIDTH+1,sizeof(char));if(message_cp  == NULL) { printf("Out of memory.\n"); exit(1);}

  switch(language_int){
  case 1://english
    if((message_Fp = fopen(EN_MSG,"r"))==NULL){printf("There is no message file.\n");exit(1);}
    break;
  case 2://japanese
    if((message_Fp = fopen(JP_MSG,"r"))==NULL){printf("There is no message file.\n");exit(1);}
    break;
  }

  char *tmp ;tmp  = (char *)calloc(PRINTWIDTH+1,sizeof(char));if(tmp  == NULL) { printf("Out of memory.\n"); exit(1);}


	while(fgets(message_cp,PRINTWIDTH,message_Fp)){
  		if(atoi(message_cp)==message_int){
			tmp=strchr(message_cp,TAB)+1;
			message_cp=strtok(tmp,"\n");
			printf("%s\n",message_cp);

			while( (fgets(message_cp,PRINTWIDTH,message_Fp)) && (atoi(message_cp)<1) ){
				if(message_cp != NULL){
					printf("%s",message_cp);
				}else{printf("\n");}
			}
		}
	}

//	printf("end\n");
  fclose(message_Fp);
  return 0;
}
